## debian-reference 2.38

=== Makefile ===
#######################################################################
# Build debian-reference (v2)
# vim: set ts=8:
# See README.source for explanation
#######################################################################
### basic parameters (build condition dependent)                    ALL
#######################################################################
# Build from xml only as default (package) -- for squeeze (package)
# to avoid regression caused by asciidoc 8.4.1
ifdef DEBIAN_PACKAGE_BUILD_MODE
# When executed from pbuilder, debuild, debian/rules, ...
BUILD_MODE	:= deb
else
# If run directlt from make on lenny-derivative, this is "5.0"
BUILD_MODE	:= $(shell sed -r -e 's/^(...).*/\1/' < /etc/debian_version )
endif
# BUILD_MODE value to for building from asciidoc
BUILD_MODE_ASCIIDOC := 5.0

# Please note package build and ddp script overides $(PUBLISHDIR)
# if $(PUBLISHDIR) is not set, set it here for testing
PUBLISHDIR	:= $(CURDIR)/html

#######################################################################
### basic parameters (build condition independent)                  ALL
#######################################################################
# base file name excluding file extension
DOCNAME :=	debian-reference
# Directories (no trailing slash)
PXSLT	:=	xslt
PBIN	:=	bin
ADOC	:=	asciidoc
PODOC	:=	po4a
IMAGES	:=	/usr/share/xml/docbook/stylesheet/nwalsh/images
# Program name and option
XP	:=	xsltproc --nonet --novalid --xinclude
#XL	:=	xmllint --nonet --noout --postvalid --xinclude
# The threshold should be 80 if translation is completed.
THRESHOLD:=	0
TRANSLATE:=	po4a-translate  -M utf-8          --format docbook --keep $(THRESHOLD)
GETTEXT	:=	po4a-gettextize -M utf-8 -L utf-8 --format docbook
UPDATEPO:=	msgmerge --update --previous --no-wrap
# # note: the URL is used as identifier, no HTTP is used!
# DOCBOOK_XSL=http://docbook.sourceforge.net/release/xsl/current
VERBOSE	:=
# Debian packge archive URL
#DEBM	:=	http://ftp.us.debian.org/debian/dists
DEBM	:=	http://ftp.jp.debian.org/debian/dists
# Debian popcon data source URL
UPOPC	:=	http://popcon.debian.org/all-popcon-results.txt.gz
# Debian release name and arch used
CODE	:=	sid
ARCH	:=	amd64
UDEBA	:=	$(DEBM)/$(CODE)
UDEBB	:=	$(DEBM)/experimental
# language defaults
LANGALL	:=	en ja fr it es de pt-br pl zh-tw zh-cn
LANGPO	:=	   ja fr
LANGNEW	:=
LANGSGML =	$(filter-out en $(LANGPO), $(LANGALL))

# remotely fetched data cached locally but removed for package
DATASRCS:=      all-popcon-results.txt packages.txt packages.bkup.txt
# AsciiDoc source file names in $(ADOC) directories for local update
ASC_NM	:=	00_preface.txt 01_tutorial.txt 02_package.txt \
		03_sysinit.txt 04_auth.txt 05_network.txt 06_netapp.txt \
		07_xwindow.txt 08_i18nl10ntxt 09_systips.txt 10_datamngt.txt \
		11_dataconv.txt 12_program.txt 99_appendix.txt \
		copyright.txt header1.txt header2.txt $(DOCNAME).txt
# source asciidoc files (local updates of XML source files requires these under lenny)
SRC_ASC :=	$(addprefix $(ADOC)/, $(ASC_NM))


# source XML inclusion files
SRC_ENT		:=	datadatepop.ent datadatesize.ent popcon.ent pkgsize.ent
# source PO files (build prcess requires these)
SRC_PO	:=	$(addsuffix .po, $(addprefix  $(PODOC)/$(DOCNAME)., $(LANGPO)))
# pristine source XML / PO files (package build requires these)
SRC_XML	 =	$(DOCNAME).raw.xml $(SRC_ENT) $(SRC_PO)

#######################################################################
# Build all sources to html and text pages (Default target)     ALL/DEB
#######################################################################
.PHONY: all dh_in
all: html txt css
	$(MAKE) -C sgml all PUBLISHDIR=$(PUBLISHDIR) "LANG_ALL=$(LANGSGML)"
# When building for Debian packages, build debhelper entries for install
ifdef DEBIAN_PACKAGE_BUILD_MODE
	$(MAKE) dh_in
endif

dh_in:
	# Generate files for debhelper in debian/
	cd $(CURDIR)/debian/ ; \
	cp all.postinst-in     $(DOCNAME)-common.postinst ; \
	for xx in $(LANGALL) ; do \
	  cp all.postinst-in     $(DOCNAME)-$${xx}.postinst ; \
	  cp all.postrm-in       $(DOCNAME)-$${xx}.postrm ; \
	  case $$xx in \
	    en) LANGX="English" ;;  \
	    de) LANGX="German" ;;   \
	    fr) LANGX="French" ;;   \
	    fi) LANGX="Finnish" ;;  \
	    es) LANGX="Spanish" ;;  \
	    it) LANGX="Italian" ;;  \
	    ja) LANGX="Japanese" ;; \
	    pl) LANGX="Polish" ;; \
	    pt-br) LANGX="Portuguese (Brazil)" ;; \
	    zh-tw) LANGX="Chinese (Traditional)" ;; \
	    zh-cn) LANGX="Chinese (Simplified)" ;; \
	    *) LANGX="$$x" ;; \
	  esac ; \
	  sed  -e "s/@@/$$xx/" < all.dirs-in  >$(DOCNAME)-$${xx}.dirs ; \
	  sed  -e "s/@@/$$xx/" < all.links-in  >$(DOCNAME)-$${xx}.links ; \
	  sed  -e "s/@@/$$xx/" < all.install-in  >$(DOCNAME)-$${xx}.install ; \
	  sed  -e "s/@@/$$xx/" -e "s/@LANG@/$$LANGX/" < all.doc-base-in  >$(DOCNAME)-$${xx}.doc-base ; \
	done

#######################################################################
# Build all sources to html and text pages for web (DDP on alioth)  DDP
#######################################################################
.PHONY: publish

# $(PUBLISHDIR) is set to be: /org/www.debian.org/www/doc/manuals for master-www
publish:
	-mkdir -p $(PUBLISHDIR)/debian-reference
	-rm -f $(PUBLISHDIR)/reference
	# For www.debian.org, relative symlink only
	-ln -sf debian-reference $(PUBLISHDIR)/reference
	# When DDP moves to squeeze, change to BUILD_MODE=xml
	$(MAKE) html txt css BUILD_MODE=asciidoc PUBLISHDIR=$(PUBLISHDIR)/debian-reference "LANGPO=$(LANGPO)"
	$(MAKE) -C sgml all PUBLISHDIR=$(PUBLISHDIR)/debian-reference "LANG_ALL=$(LANGSGML)"

#######################################################################
# Clean targets                                                     ALL
#######################################################################
.PHONY: clean dh_clean_in distclean

clean:
	echo $(BUILD_MODE)
	-rm -f *.swp *~ *.tmp
	-rm -f $(PODOC)/*~ $(ADOC)/*~
	-rm -rf html
	-rm -f $(addsuffix .xml,      $(addprefix  $(DOCNAME)., en $(LANGPO)))
	-rm -f $(DOCNAME).en.xmlt common.ent header.txt
	$(MAKE) -C sgml clean "LANG_ALL=$(LANGSGML)" PUBLISHDIR=$(PUBLISHDIR)
	$(MAKE) dh_clean_in

dh_clean_in:
	# Clean files for debhelper in debian/
	-rm -f $(addsuffix .postinst, $(addprefix  debian/$(DOCNAME)-, $(LANGALL)))
	-rm -f $(addsuffix .postrm,   $(addprefix  debian/$(DOCNAME)-, $(LANGALL)))
	-rm -f $(addsuffix .dirs,     $(addprefix  debian/$(DOCNAME)-, $(LANGALL)))
	-rm -f $(addsuffix .links,    $(addprefix  debian/$(DOCNAME)-, $(LANGALL)))
	-rm -f $(addsuffix .doc-base, $(addprefix  debian/$(DOCNAME)-, $(LANGALL)))
	-rm -f $(addsuffix .install,  $(addprefix  debian/$(DOCNAME)-, $(LANGALL)))
	-rm -f $(addsuffix .postinst, $(addprefix  debian/$(DOCNAME)-, $(LANGALL)))

# Run distclean only for regenerating all locally cached data from remote
#                          (and all raw XML from asciidoc for lenny@local)
distclean: clean
	# We should clean these local cached data for debian package.
	-rm -f all-popcon-results.txt packages.txt packages.bkup.txt pkg.lst
ifndef DEBIAN_PACKAGE_BUILD_MODE
ifeq ($(BUILD_MODE),$(BUILD_MODE_ASCIIDOC))
	# If not from debian/rules but in asciidoc mode, 
	# remove remotely generated files.
	-rm -f $(SRC_ENT)
endif
endif

#########################################################################
# Local raw XML file created from asciidoc in lenny                 LOCAL
#########################################################################
#=======================================================================#
ifeq ($(BUILD_MODE),$(BUILD_MODE_ASCIIDOC))
#=======================================================================#

.SECONDARY: $(SRC_XML)
#    You can prevent automatic deletion of an intermediate file by
#    marking it as a "secondary" file.  To do this, list it as a
#    prerequisite of the special target `.SECONDARY'.  When a file is
#    secondary, `make' will not create the file merely because it does not
#    already exist, but `make' does not automatically delete the file.
#    Marking a file as secondary also marks it as intermediate.

# -----------------------------------------------------------------------
# create a raw XML source from asciidoc source
# Regression caused by asciidoc 8.4.1 should be addressed by 
# "-a no-inline-literal" but .... this does not work.  Use lenny only.
$(DOCNAME).raw.xml: $(SRC_ASC)
	asciidoc -a no-inline-literal -a 'newline=\n' -b docbook -d book -o - $(ADOC)/$(DOCNAME).txt |\
	sed -e "/<\/authorinitials>/r $(ADOC)/copyright.txt" |\
	xmllint --format -  |\
	sed -f bin/replace > $@
#=======================================================================#
else
#=======================================================================#
# After squeeze, $(DOCNAME).raw.xml is pristine source and should not be rebuild.
# To avoid dependency issues due to "$(DOCNAME).%.xml:", we need this target:
$(DOCNAME).raw.xml:
	echo "You need to run \"make\" in lenny environment or create it as pristine source."
	exit 1
#=======================================================================#
endif
#=======================================================================#

#########################################################################
# Local cached data created from remote data by local updates       LOCAL
#########################################################################
# datadate{pop|size}.ent are generated as secondary side effects
# These files are not part of the packaged source

all-popcon-results.txt:
	wget -O - $(UPOPC) | zcat - > $@
	echo "<!ENTITY pop-date \"$(shell date -u +'%F %T %Z')\">" > datadatepop.ent

packages.txt:
	wget -O - $(UDEBA)/main/binary-$(ARCH)/Packages.bz2      | bzcat - > packages.main.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.main.tmp > packages.main
	rm packages.main.tmp
	wget -O - $(UDEBA)/contrib/binary-$(ARCH)/Packages.bz2   | bzcat - > packages.contrib.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.contrib.tmp > packages.contrib
	rm packages.contrib.tmp
	wget -O - $(UDEBA)/non-free/binary-$(ARCH)/Packages.bz2  | bzcat - > packages.non-free.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.non-free.tmp > packages.non-free
	rm packages.non-free.tmp
	cat packages.main packages.contrib packages.non-free >$@
	#
	echo "<!ENTITY all-packages \"$$(grep -e '^Package:' packages.txt | wc -l)\">"			>  datadatesize.ent
	echo "<!ENTITY main-packages \"$$( grep -e '^Package:' packages.main | wc -l)\">"		>> datadatesize.ent
	echo "<!ENTITY contrib-packages \"$$(grep -e '^Package:' packages.contrib | wc -l)\">"		>> datadatesize.ent
	echo "<!ENTITY non-free-packages \"$$(grep -e '^Package:' packages.non-free | wc -l)\">"	>> datadatesize.ent
	echo "<!ENTITY pkgsize-date \"$(shell date -u +'%F %T %Z')\">"					>> datadatesize.ent
	rm packages.main packages.contrib packages.non-free

packages.bkup.txt:
	wget -O - $(UDEBB)/main/binary-$(ARCH)/Packages.bz2      | bzcat - > packages.bkup.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.bkup.tmp > $@
	rm packages.bkup.tmp

pkg.lst: $(DOCNAME).raw.xml
	xsltproc --novalid $(VERBOSE) $(PXSLT)/pkg.xsl $< > $@

#########################################################################
# Local base data created from cached data by local updates         LOCAL
#########################################################################
# These $(SRC_ENT) files are part of the packaged prestine source.
# These $(SRC_ENT) need to be rebuild if $(DOCNAME).raw.xml is updated.
# But these $(SRC_ENT) do not depend on $(DOCNAME).raw.xml intentionally to 
# avoid long build tine.  Beakage due to these are rare, minor and pedictable.
# To rebuild these $(SRC_ENT), do "make distclean" first.

.PHONY: xml
xml: $(DOCNAME).raw.xml $(SRC_ENT)

datadatepop.ent:
	$(MAKE) all-popcon-results.txt

datadatesize.ent:
	$(MAKE) packages.txt

popcon.ent:
	if ! [ -f $(DOCNAME).raw.xml ]; then $(MAKE) $(DOCNAME).raw.xml ; fi

=== debian/changelog ===
debian-reference (2.38) unstable; urgency=low

  * Used package format: 3.0 (native) and updated build system to use 
    modern debhelper style.
  * Fixed debhelper-but-no-misc-depends. 
  * Added UTF-8 checking and shared VCS archive tips.
  * Updated "Virtualized system" section with new contents and created
    link from "Life with eternal upgrades".
  * Created "The disk image" section and moved related contents there
    with many updates and new contents.
  * Updated "Fonts in the X Window" to mention move to fontconfig.
  * Updated "Idioms for the archive" and "Idioms for the copy" to 
    be precise.
  * Updated "The domain name" and "The hostname resolution". 
  * Updated Japanese translation: 100%.
  * Moved debian-reference to /usr/share/debian-reference-common.
 
 -- Osamu Aoki <osamu@debian.org>  Sun, 03 Jan 2010 17:43:15 +0900

debian-reference (2.37) unstable; urgency=low

  * README is not README.gz since it is small.  Closes: 556119
  * Moved menu entry to Accessories. LP: #194784
  * Marked translation of old version 1 in titles and index properly.
  * Updated build script to translate URL entity using PO.
  * Mentioned migration to dependency based boot system.
  * Translated Wikipedia URLs to use as much English URLs.  Also 
    adjusted English URLs to auto-select ones.
  * Changed Japanese style to conform to the Cabinet Notification 2 
    of June 28th, 1991.
  * Added French translation (almost comple and quite usable).
  * Updated Standards-Version to 3.8.3.

 -- Osamu Aoki <osamu@debian.org>  Sun, 29 Nov 2009 03:14:53 +0900

debian-reference (2.36) unstable; urgency=low

  * Added "The filesystem" in "The system initialization".
  * Removed future tense usages per IBM Style.
  * Rewrote "Restricting access to some server services".
  * Spell checked with xargs -n1|sed ... |sort|uniq.
  * Cleaned Makefile (Now DDP has asciidoc)
  * Updated Japanese translation: 100%.
  * Marked translation of old version 1 in titles.

 -- Osamu Aoki <osamu@debian.org>  Tue, 25 Aug 2009 23:22:18 +0900

debian-reference (2.35) unstable; urgency=low

  * Removed deprecated dh_desktop and update standards-version to 3.8.2.
  * Omitted "..[^.]*". Closes: 537411
  * Popcon data are now linked to popcon graph while new BTS link added as *.
  * Updated CVS/Subversion contents.
  * English style polishing by referencing IBM Style from
    http://www.ibm.com/software/ucd/files/IBM_Style_27Apr09.pdf
  * More Japanese translation: 100%.

 -- Osamu Aoki <osamu@debian.org>  Sat, 22 Aug 2009 03:37:43 +0900

debian-reference (2.34) unstable; urgency=low

  * More Japanese translation up to 6.12.
  * Reorganized deep subsections only to chapter/section/section.
  * All tables span to the page width.

 -- Osamu Aoki <osamu@debian.org>  Thu, 09 Jul 2009 21:41:09 +0900

=== debian/control ===
Source: debian-reference
Section: doc
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: w3m, xsltproc, docbook-xsl, docbook-xml, po4a, python, locales-all | locales, debiandoc-sgml, 
                     asciidoc, libxml2-utils
Standards-Version: 3.8.3
Vcs-Svn: svn://svn.debian.org/svn/ddp/manuals/trunk/quick-reference
Vcs-Browser: http://svn.debian.org/wsvn/ddp/manuals/trunk/quick-reference/
Homepage: http://www.debian.org/doc/user-manuals#quick-reference

Package: debian-reference-common
Architecture: all
Depends: ${misc:Depends}
Suggests: mc, vim, w3m | www-browser
Description: Debian system administration guide, common files
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference
Architecture: all
Depends: ${misc:Depends}, debian-reference-en
Recommends: debian-reference-fr, debian-reference-de, debian-reference-it, debian-reference-es, debian-reference-pt-br, debian-reference-pl, debian-reference-zh-tw, debian-reference-zh-cn, debian-reference-ja
Description: metapackage to install (all) translations of Debian Reference
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference-en
Architecture: all
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Suggests: doc-base, rutebook
Description: Debian system administration guide, English original
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference-fr
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-fr
Replaces: quick-reference-fr
Description: Debian system administration guide, French translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference-it
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-it
Replaces: quick-reference-it
Description: Debian system administration guide, Italian translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference-ja
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-ja
Replaces: quick-reference-ja
Description: Debian system administration guide, Japanese translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference-es
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-es
Replaces: quick-reference-es
Description: Debian system administration guide, Spanish translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference-de
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-de
Replaces: quick-reference-de
Description: Debian system administration guide, German translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference-pt-br
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-pt-br
Replaces: quick-reference-pt-br
Description: Debian system administration guide, Portuguese translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference-pl
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-pl
Replaces: quick-reference-pl
Description: Debian system administration guide, Polish translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference-zh-tw
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-zh-tw
Replaces: quick-reference-zh-tw
Description: Debian system administration guide, Chinese(TW) translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference-zh-cn
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-zh-cn
Replaces: quick-reference-zh-cn
Description: Debian system administration guide, Chinese(CN) translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

=== debian/rules ===
#!/usr/bin/make -f
## ----------------------------------------------------------------------
## debian/rules : package script for debian-reference
## ----------------------------------------------------------------------

# Variable to change Makefile behavior (make clean)
DEBIAN_PACKAGE_BUILD_MODE = YES
export DEBIAN_PACKAGE_BUILD_MODE

## ----------------------------------------------------------------------
## uncomment this to turn on verbose mode
#export DH_VERBOSE=1

## ----------------------------------------------------------------------
## Targets

binary: binary-indep

%:
	dh $@

## debian-reference 2.41

=== Makefile ===
--- 
+++ 
@@ -7,15 +7,13 @@
 #######################################################################
 # Build from xml only as default (package) -- for squeeze (package)
 # to avoid regression caused by asciidoc 8.4.1
-ifdef DEBIAN_PACKAGE_BUILD_MODE
-# When executed from pbuilder, debuild, debian/rules, ...
-BUILD_MODE	:= deb
-else
-# If run directlt from make on lenny-derivative, this is "5.0"
-BUILD_MODE	:= $(shell sed -r -e 's/^(...).*/\1/' < /etc/debian_version )
+# BUILD_MODE value set to asciidoc version number
+ifndef BUILD_MODE
+BUILD_MODE	:= $(shell asciidoc --version)
 endif
-# BUILD_MODE value to for building from asciidoc
-BUILD_MODE_ASCIIDOC := 5.0
+
+# BUILD_MODE value of correct asciidoc version number to use
+BUILD_MODE_ASCIIDOC := asciidoc 8.2.7
 
 # Please note package build and ddp script overides $(PUBLISHDIR)
 # if $(PUBLISHDIR) is not set, set it here for testing
@@ -64,7 +62,7 @@
 # AsciiDoc source file names in $(ADOC) directories for local update
 ASC_NM	:=	00_preface.txt 01_tutorial.txt 02_package.txt \
 		03_sysinit.txt 04_auth.txt 05_network.txt 06_netapp.txt \
-		07_xwindow.txt 08_i18nl10ntxt 09_systips.txt 10_datamngt.txt \
+		07_xwindow.txt 08_i18nl10n.txt 09_systips.txt 10_datamngt.txt \
 		11_dataconv.txt 12_program.txt 99_appendix.txt \
 		copyright.txt header1.txt header2.txt $(DOCNAME).txt
 # source asciidoc files (local updates of XML source files requires these under lenny)
@@ -81,40 +79,13 @@
 #######################################################################
 # Build all sources to html and text pages (Default target)     ALL/DEB
 #######################################################################
-.PHONY: all dh_in
-all: html txt css
+.PHONY: all package
+# Simpler target for easy debug.
+all: html css
+
+# Target for package building
+package: html txt css
 	$(MAKE) -C sgml all PUBLISHDIR=$(PUBLISHDIR) "LANG_ALL=$(LANGSGML)"
-# When building for Debian packages, build debhelper entries for install
-ifdef DEBIAN_PACKAGE_BUILD_MODE
-	$(MAKE) dh_in
-endif
-
-dh_in:
-	# Generate files for debhelper in debian/
-	cd $(CURDIR)/debian/ ; \
-	cp all.postinst-in     $(DOCNAME)-common.postinst ; \
-	for xx in $(LANGALL) ; do \
-	  cp all.postinst-in     $(DOCNAME)-$${xx}.postinst ; \
-	  cp all.postrm-in       $(DOCNAME)-$${xx}.postrm ; \
-	  case $$xx in \
-	    en) LANGX="English" ;;  \
-	    de) LANGX="German" ;;   \
-	    fr) LANGX="French" ;;   \
-	    fi) LANGX="Finnish" ;;  \
-	    es) LANGX="Spanish" ;;  \
-	    it) LANGX="Italian" ;;  \
-	    ja) LANGX="Japanese" ;; \
-	    pl) LANGX="Polish" ;; \
-	    pt-br) LANGX="Portuguese (Brazil)" ;; \
-	    zh-tw) LANGX="Chinese (Traditional)" ;; \
-	    zh-cn) LANGX="Chinese (Simplified)" ;; \
-	    *) LANGX="$$x" ;; \
-	  esac ; \
-	  sed  -e "s/@@/$$xx/" < all.dirs-in  >$(DOCNAME)-$${xx}.dirs ; \
-	  sed  -e "s/@@/$$xx/" < all.links-in  >$(DOCNAME)-$${xx}.links ; \
-	  sed  -e "s/@@/$$xx/" < all.install-in  >$(DOCNAME)-$${xx}.install ; \
-	  sed  -e "s/@@/$$xx/" -e "s/@LANG@/$$LANGX/" < all.doc-base-in  >$(DOCNAME)-$${xx}.doc-base ; \
-	done
 
 #######################################################################
 # Build all sources to html and text pages for web (DDP on alioth)  DDP
@@ -128,45 +99,36 @@
 	# For www.debian.org, relative symlink only
 	-ln -sf debian-reference $(PUBLISHDIR)/reference
 	# When DDP moves to squeeze, change to BUILD_MODE=xml
-	$(MAKE) html txt css BUILD_MODE=asciidoc PUBLISHDIR=$(PUBLISHDIR)/debian-reference "LANGPO=$(LANGPO)"
-	$(MAKE) -C sgml all PUBLISHDIR=$(PUBLISHDIR)/debian-reference "LANG_ALL=$(LANGSGML)"
+	$(MAKE) html txt css "PUBLISHDIR=$(PUBLISHDIR)/debian-reference"
+	$(MAKE) -C sgml all  "PUBLISHDIR=$(PUBLISHDIR)/debian-reference" "LANG_ALL=$(LANGSGML)"
 
 #######################################################################
 # Clean targets                                                     ALL
 #######################################################################
-.PHONY: clean dh_clean_in distclean
+.PHONY: clean packageclean distclean
 
 clean:
-	echo $(BUILD_MODE)
+	echo "BUILD_MODE = \"$(BUILD_MODE)\""
 	-rm -f *.swp *~ *.tmp
 	-rm -f $(PODOC)/*~ $(ADOC)/*~
 	-rm -rf html
-	-rm -f $(addsuffix .xml,      $(addprefix  $(DOCNAME)., en $(LANGPO)))
-	-rm -f $(DOCNAME).en.xmlt common.ent header.txt
+	-rm -f $(addsuffix .xml,      $(addprefix  $(DOCNAME)., $(LANGPO)))
+	-rm -f $(DOCNAME).en.xml
+	-rm -f $(DOCNAME).en.xmlt header.txt
 	$(MAKE) -C sgml clean "LANG_ALL=$(LANGSGML)" PUBLISHDIR=$(PUBLISHDIR)
-	$(MAKE) dh_clean_in
-
-dh_clean_in:
-	# Clean files for debhelper in debian/
-	-rm -f $(addsuffix .postinst, $(addprefix  debian/$(DOCNAME)-, $(LANGALL)))
-	-rm -f $(addsuffix .postrm,   $(addprefix  debian/$(DOCNAME)-, $(LANGALL)))
-	-rm -f $(addsuffix .dirs,     $(addprefix  debian/$(DOCNAME)-, $(LANGALL)))
-	-rm -f $(addsuffix .links,    $(addprefix  debian/$(DOCNAME)-, $(LANGALL)))
-	-rm -f $(addsuffix .doc-base, $(addprefix  debian/$(DOCNAME)-, $(LANGALL)))
-	-rm -f $(addsuffix .install,  $(addprefix  debian/$(DOCNAME)-, $(LANGALL)))
-	-rm -f $(addsuffix .postinst, $(addprefix  debian/$(DOCNAME)-, $(LANGALL)))
 
 # Run distclean only for regenerating all locally cached data from remote
 #                          (and all raw XML from asciidoc for lenny@local)
-distclean: clean
+packageclean: clean
 	# We should clean these local cached data for debian package.
 	-rm -f all-popcon-results.txt packages.txt packages.bkup.txt pkg.lst
-ifndef DEBIAN_PACKAGE_BUILD_MODE
+
+distclean: packageclean
 ifeq ($(BUILD_MODE),$(BUILD_MODE_ASCIIDOC))
 	# If not from debian/rules but in asciidoc mode, 
-	# remove remotely generated files.
+	# remove remotely generated files to refresh.
+	-rm -f $(DOCNAME).raw.xml
 	-rm -f $(SRC_ENT)
-endif
 endif
 
 #########################################################################
@@ -189,6 +151,7 @@
 # Regression caused by asciidoc 8.4.1 should be addressed by 
 # "-a no-inline-literal" but .... this does not work.  Use lenny only.
 $(DOCNAME).raw.xml: $(SRC_ASC)
+	echo "BUILD_MODE = \"$(BUILD_MODE)\""
 	asciidoc -a no-inline-literal -a 'newline=\n' -b docbook -d book -o - $(ADOC)/$(DOCNAME).txt |\
 	sed -e "/<\/authorinitials>/r $(ADOC)/copyright.txt" |\
 	xmllint --format -  |\
@@ -199,6 +162,7 @@
 # After squeeze, $(DOCNAME).raw.xml is pristine source and should not be rebuild.
 # To avoid dependency issues due to "$(DOCNAME).%.xml:", we need this target:
 $(DOCNAME).raw.xml:
+	echo "BUILD_MODE = \"$(BUILD_MODE)\""
 	echo "You need to run \"make\" in lenny environment or create it as pristine source."
 	exit 1
 #=======================================================================#
@@ -262,3 +226,32 @@
 
 popcon.ent:
 	if ! [ -f $(DOCNAME).raw.xml ]; then $(MAKE) $(DOCNAME).raw.xml ; fi
+	if ! [ -f all-popcon-results.txt ]; then $(MAKE) all-popcon-results.txt ; fi
+	if ! [ -f pkg.lst ] || [ $(DOCNAME).raw.xml -nt pkg.lst ]; then $(MAKE) pkg.lst ; fi
+	echo "<!ENTITY pop-submissions \"$(shell sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt)\">"	>  $@
+	echo "<!ENTITY pop-architectures \"$(shell grep -e '^Architecture:' all-popcon-results.txt | wc -l)\">"			>> $@
+	echo "<!ENTITY pop-packages \"$(shell grep -e '^Package:' all-popcon-results.txt | wc -l)\">"				>> $@
+	TOTAL=$(shell sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt) ;\
+	grep -e '^Package:' all-popcon-results.txt | grep -f pkg.lst | $(PBIN)/popconent $$TOTAL				>> $@
+
+pkgsize.ent:
+	if ! [ -f $(DOCNAME).raw.xml ]; then $(MAKE) $(DOCNAME).raw.xml ; fi
+	if ! [ -f packages.txt ]; then $(MAKE) packages.txt ; fi
+	if ! [ -f packages.bkup.txt ]; then $(MAKE) packages.bkup.txt ; fi
+	if ! [ -f pkg.lst ] || [ $(DOCNAME).raw.xml -nt pkg.lst ]; then $(MAKE) pkg.lst ; fi
+	$(PBIN)/sizeent packages.txt packages.bkup.txt < pkg.lst	> $@
+
+#########################################################################
+# XML file operations                                                 ALL
+#########################################################################
+# Create final XML sources
+
+common.ent: $(SRC_XML)
+	echo "<!ENTITY build-date \"$(shell date -u +'%F %T %Z')\">"	>  $@
+	echo "<!ENTITY arch \"$(ARCH)\">"				>> $@
+	echo "<!ENTITY codename-stable   \"lenny\">"			>> $@
+	echo "<!ENTITY codename-testing  \"squeeze\">"			>> $@
+	echo "<!ENTITY codename-nexttesting  \"squeeze+1\">"		>> $@
+	echo "<!ENTITY codename-unstable \"sid\">"			>> $@
+
+# Update URL list header from $(DOCNAME).raw.xml

=== debian/changelog ===
debian-reference (2.41) unstable; urgency=low

  * Expanded on git-svn. 
  * Updated getmail/maildrop configuration.
  * Updated from SCIM to IBus.
  * Dropped defoma and promoted fontconfig.
  * Updated for concurrent boot.
  * Promoted NetworkManager and marked ifupdown as legacy.

 -- Osamu Aoki <osamu@debian.org>  Wed, 16 Jun 2010 23:18:55 +0900

debian-reference (2.40) unstable; urgency=low

  * Used git instead of git-core.
  * Reworded around sid and security updates.
  * Described source format 3.0 (quilt) packages.
  * Fixed desktop-entry-contains-encoding-key.
  * Added Homepage:. 

 -- Osamu Aoki <osamu@debian.org>  Tue, 25 May 2010 23:22:50 +0900

debian-reference (2.39) unstable; urgency=low

  * Added TCPMSS comment.
  * Added xz-uils reference.
  * Fixed group(5) reference per Davide Prina. Closes: 566721
  * Added list of boot utilities for the Debian system and concurrency
    reference.
  * Build system touch ups.

 -- Osamu Aoki <osamu@debian.org>  Sat, 06 Mar 2010 05:23:25 +0900

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: doc
 Priority: optional
 Maintainer: Osamu Aoki <osamu@debian.org>
-Build-Depends: debhelper (>= 7)
+Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: w3m, xsltproc, docbook-xsl, docbook-xml, po4a, python, locales-all | locales, debiandoc-sgml, 
                      asciidoc, libxml2-utils
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Vcs-Svn: svn://svn.debian.org/svn/ddp/manuals/trunk/quick-reference
 Vcs-Browser: http://svn.debian.org/wsvn/ddp/manuals/trunk/quick-reference/
 Homepage: http://www.debian.org/doc/user-manuals#quick-reference
@@ -18,6 +18,8 @@
  This Debian Reference is intended to provide a broad overview of the Debian
  system as a post-installation user's guide. It covers many aspects of system
  administration through shell-command examples for non-developers.
+ .
+ This provides menu functionality and other common files.
 
 Package: debian-reference
 Architecture: all
@@ -27,6 +29,8 @@
  This Debian Reference is intended to provide a broad overview of the Debian
  system as a post-installation user's guide. It covers many aspects of system
  administration through shell-command examples for non-developers.
+ .
+ This installs all translations when "Recommends:" are installed.
 
 Package: debian-reference-en
 Architecture: all
@@ -36,6 +40,8 @@
  This Debian Reference is intended to provide a broad overview of the Debian
  system as a post-installation user's guide. It covers many aspects of system
  administration through shell-command examples for non-developers.
+ .
+ The English original version.
 
 Package: debian-reference-fr
 Architecture: all
@@ -48,6 +54,8 @@
  This Debian Reference is intended to provide a broad overview of the Debian
  system as a post-installation user's guide. It covers many aspects of system
  administration through shell-command examples for non-developers.
+ .
+ The French translation.
 
 Package: debian-reference-it
 Architecture: all
@@ -60,6 +68,8 @@
  This Debian Reference is intended to provide a broad overview of the Debian
  system as a post-installation user's guide. It covers many aspects of system
  administration through shell-command examples for non-developers.
+ .
+ The Italian translation.
 
 Package: debian-reference-ja
 Architecture: all
@@ -72,6 +82,8 @@
  This Debian Reference is intended to provide a broad overview of the Debian
  system as a post-installation user's guide. It covers many aspects of system
  administration through shell-command examples for non-developers.
+ .
+ The Japanese translation.
 
 Package: debian-reference-es
 Architecture: all
@@ -84,6 +96,8 @@
  This Debian Reference is intended to provide a broad overview of the Debian
  system as a post-installation user's guide. It covers many aspects of system
  administration through shell-command examples for non-developers.
+ .
+ The Spanish translation.
 
 Package: debian-reference-de
 Architecture: all
@@ -96,6 +110,8 @@
  This Debian Reference is intended to provide a broad overview of the Debian
  system as a post-installation user's guide. It covers many aspects of system
  administration through shell-command examples for non-developers.
+ .
+ The German translation.
 
 Package: debian-reference-pt-br
 Architecture: all
@@ -108,6 +124,8 @@
  This Debian Reference is intended to provide a broad overview of the Debian
  system as a post-installation user's guide. It covers many aspects of system
  administration through shell-command examples for non-developers.
+ .
+ The Brazilian Portuguese translation.
 
 Package: debian-reference-pl
 Architecture: all
@@ -120,6 +138,8 @@
  This Debian Reference is intended to provide a broad overview of the Debian
  system as a post-installation user's guide. It covers many aspects of system
  administration through shell-command examples for non-developers.
+ .
+ The Polish translation.
 
 Package: debian-reference-zh-tw
 Architecture: all
@@ -132,6 +152,8 @@
  This Debian Reference is intended to provide a broad overview of the Debian
  system as a post-installation user's guide. It covers many aspects of system
  administration through shell-command examples for non-developers.
+ .
+ The Traditional Chinese translation.
 
 Package: debian-reference-zh-cn
 Architecture: all
@@ -144,4 +166,6 @@
  This Debian Reference is intended to provide a broad overview of the Debian
  system as a post-installation user's guide. It covers many aspects of system
  administration through shell-command examples for non-developers.
+ .
+ The Simplified Chinese translation.

=== debian/rules ===
#!/usr/bin/make -f
## ----------------------------------------------------------------------
## debian/rules : package script for debian-reference
## ----------------------------------------------------------------------


## ----------------------------------------------------------------------
## uncomment this to turn on verbose mode
#export DH_VERBOSE=1

## ----------------------------------------------------------------------
# Package building language choice
#
DOCNAME	:=	debian-reference
LANGALL	:=	en ja fr it es de pt-br pl zh-tw zh-cn
LANGPO	:=	   ja fr

## ----------------------------------------------------------------------
## Targets

%:
	dh $@

override_dh_auto_build:
	# Generate files for debhelper in debian/
	cd $(CURDIR)/debian/ ; \
	cp all.postinst-in     $(DOCNAME)-common.postinst ; \
	for xx in $(LANGALL) ; do \
	  cp all.postinst-in     $(DOCNAME)-$${xx}.postinst ; \
	  cp all.postrm-in       $(DOCNAME)-$${xx}.postrm ; \
	  case $$xx in \
	    en) LANGX="English" ;;  \
	    de) LANGX="German" ;;   \
	    fr) LANGX="French" ;;   \
	    fi) LANGX="Finnish" ;;  \
	    es) LANGX="Spanish" ;;  \
	    it) LANGX="Italian" ;;  \
	    ja) LANGX="Japanese" ;; \
	    pl) LANGX="Polish" ;; \
	    pt-br) LANGX="Portuguese (Brazil)" ;; \
	    zh-tw) LANGX="Chinese (Traditional)" ;; \
	    zh-cn) LANGX="Chinese (Simplified)" ;; \
	    *) LANGX="$$x" ;; \
	  esac ; \
	  sed  -e "s/@@/$$xx/" < all.links-in  >$(DOCNAME)-$${xx}.links ; \
	  sed  -e "s/@@/$$xx/" < all.install-in  >$(DOCNAME)-$${xx}.install ; \
	  sed  -e "s/@@/$$xx/" -e "s/@LANG@/$$LANGX/" < all.doc-base-in  >$(DOCNAME)-$${xx}.doc-base ; \
	done
	dh_auto_build -- package "BUILD_MODE=none" "LANGALL=$(LANGALL)" "LANGPO=$(LANGPO)"

override_dh_auto_clean:
	# Clean files for debhelper in debian/
	-rm -f $(addsuffix .postinst, $(addprefix  debian/$(DOCNAME)-, $(LANGALL)))
	-rm -f $(addsuffix .postrm,   $(addprefix  debian/$(DOCNAME)-, $(LANGALL)))
	-rm -f $(addsuffix .links,    $(addprefix  debian/$(DOCNAME)-, $(LANGALL)))
	-rm -f $(addsuffix .doc-base, $(addprefix  debian/$(DOCNAME)-, $(LANGALL)))
	-rm -f $(addsuffix .install,  $(addprefix  debian/$(DOCNAME)-, $(LANGALL)))
	$(MAKE) packageclean "BUILD_MODE=none" "LANGALL=$(LANGALL)" "LANGPO=$(LANGPO)"

## debian-reference 2.45

=== debian/changelog ===
debian-reference (2.45) unstable; urgency=low

  * Fixed typo per Mathieu Parent. Closes: #597816
  * Added clearsigned gpg mail example.
  * xz/unxz command mentioned in Tutorial.
  * Fixed bashism per by Dominique Brazziel. Closes: #600016
  * Updated Wikipedia URL.
  * Updated French translation.
  * Added Portguese translation by Américo Monteiro.

 -- Osamu Aoki <osamu@debian.org>  Wed, 08 Dec 2010 23:31:33 +0900

debian-reference (2.44) unstable; urgency=low

  * Fixed wrong markup <package>git-svn</package> etc.
  * Fixed broken table for font types.
  * Added Italian translation with po4a by beatrice.
  * Addressed hold trick with dpkg and mixed use of apt-get/aptitude.
    Closes: #594490
  * Added .htaccess file per Simon Paillard for UTF-8 .txt . 
  * Set wheezy as the new testing name. Closes: #593960
  * Updated for the launch of official backports.debian.org.
  * Changed Japanese translation style to use space between CJK and ASCII.
  * Included asciidoc VERSION = '8.2.7' patched for newer Python
    for easy conversion from ascoodoc to XML. 
  * Removed listing of removed packages.
  * Updated copyright to 2007-2010. 
  * DEP-5 debian/copyright file.

 -- Osamu Aoki <osamu@debian.org>  Thu, 23 Sep 2010 01:29:18 +0900

debian-reference (2.43) unstable; urgency=low

  * Documented Breaks field matching updated policy. Closes: #590569
  * Changed tone around package managers.
  * Added precautionary statements for aptitude and NetworkManager.
  * Added spoofing need and link in "The domain name" section.

 -- Osamu Aoki <osamu@debian.org>  Sun, 01 Aug 2010 08:31:49 +0900

debian-reference (2.42) unstable; urgency=low

  * Updated SSL clients.
  * Changed from component to area for main/non-free/contrib. 

 -- Osamu Aoki <osamu@debian.org>  Sun, 20 Jun 2010 08:52:57 +0900
